summaryrefslogtreecommitdiffstats
path: root/iptables/tests/shell/testcases/arptables/0002-arptables-restore-defaults_0
diff options
context:
space:
mode:
authorPhil Sutter <phil@nwl.cc>2018-08-09 18:06:28 +0200
committerFlorian Westphal <fw@strlen.de>2018-08-09 21:46:45 +0200
commitb92573303260736b0f9be9c1a9442ddec7fdcab2 (patch)
treef519582eac05cdec8e5e882282ad0dd3194844e8 /iptables/tests/shell/testcases/arptables/0002-arptables-restore-defaults_0
parent277f37407592f0d035dd525bc1321bce06fe9478 (diff)
tests: Fix skipping for recent nft-only tests
In an attempt to sanitize shell scripting, exit test in recent testcases was altered, which led to them being skipped even in nft test runs. Drop the quotes so that globbing happens again. While here, improve the check a bit to glob only on leading path part, not also the file name. Also print "skip ..." just like nft-only/0001compat_0 testcase does. Fixes: f1d8508fd6fdc ("tests: Add arptables-{save,restore} testcases") Fixes: fbf0bf7c079d8 ("tests: Add ebtables-{save,restore} testcases") Signed-off-by: Phil Sutter <phil@nwl.cc> Signed-off-by: Florian Westphal <fw@strlen.de>
Diffstat (limited to 'iptables/tests/shell/testcases/arptables/0002-arptables-restore-defaults_0')
-rwxr-xr-xiptables/tests/shell/testcases/arptables/0002-arptables-restore-defaults_02
1 files changed, 1 insertions, 1 deletions
diff --git a/iptables/tests/shell/testcases/arptables/0002-arptables-restore-defaults_0 b/iptables/tests/shell/testcases/arptables/0002-arptables-restore-defaults_0
index 8bc4d08f..b2ed95e8 100755
--- a/iptables/tests/shell/testcases/arptables/0002-arptables-restore-defaults_0
+++ b/iptables/tests/shell/testcases/arptables/0002-arptables-restore-defaults_0
@@ -3,7 +3,7 @@
set -e
# there is no legacy backend to test
-[[ $XT_MULTI == "*xtables-nft-multi" ]] || exit 0
+[[ $XT_MULTI == */xtables-nft-multi ]] || { echo "skip $XT_MULTI"; exit 0; }
# arptables-restore reuses preloaded targets and matches, make sure defaults
# apply to consecutive rules using the same target/match as a previous one